# Get Link Status

Get the status of a given link.

Endpoint: GET /v1/links/status
Version: 1.0.0
Security: apiKeyAuth, practiceGroupId

## Security:

  - `apiKeyAuth` (unknown)
    apiKey in header x-api-key

  - `practiceGroupId` (unknown)
    apiKey in header x-practice-group-id

## Query parameters:

  - `url` (string)
    The URL of the link. Provide either 'url' or 'id'.

  - `id` (string)
    The ID of the short link. Provide either 'url' or 'id'.

## Response 200:

  - `200` (unknown)
    Ok

## Response 200 fields (application/json):

  - `status` (string, required)
    Enum: "unused", "used", "partially_used", "expired", "disabled"

  - `type` (string, required)
    Enum: "booking", "questionnaire", "attachment", "patient_reply", "video"

  - `reference` (array)

  - `reference.type` (string, required)
    Enum: "booking", "questionnaire", "attachment", "patient_reply", "video"

  - `reference.id` (string, required)

## Response 400:

  - `400` (unknown)
    Validation error

## Response 400 fields (application/json):

  - `error` (boolean, required)
    Example: true

  - `statusCode` (number, required)
    Example: 400

  - `message` (array, required)

  - `message.code` (string, required)
    Example: invalid_type

  - `message.expected` (string, required)
    Example: string

  - `message.path` (array, required)
    Example: ["patient_id"]

  - `message.message` (string, required)
    Example: Required

## Response 401:

  - `401` (unknown)
    Unauthorised

## Response 422:

  - `422` (unknown)
    Link inexistent or invalid

## Response 429:

  - `429` (unknown)
    Too Many Requests

## Response 500:

  - `500` (unknown)
    Unknown error

